Joe McDonnell has posted comments on this change. ( 
http://gerrit.cloudera.org:8080/10044 )

Change subject: IMPALA-6790: Upgrade sqlparse to 0.1.19
......................................................................


Patch Set 1:

I'm uploading a new version that adds a comment in requirements.txt to say that 
the version specified there is not used for the shell.

I will file a JIRA to upgrade the shell's sqlparse. I think that is a good 
idea, but I want this to go in for 2.12/3.0 since it impacts remote cluster 
tests. I don't think we will be able to upgrade beyond 0.1.19 until we drop 
python 2.6 as a requirement. sqlparse 0.2.0 dropped python 2.6 support.

Just as a side-note, the shell has some locations that use "{0}".format(blah), 
which I believe starts with python 2.6. There may be other things that don't 
work on python 2.4. sqlparse stopped doing automated tests on python 2.5 with 
version 0.1.11.


--
To view, visit http://gerrit.cloudera.org:8080/10044
To unsubscribe, visit http://gerrit.cloudera.org:8080/settings

Gerrit-Project: Impala-ASF
Gerrit-Branch: master
Gerrit-MessageType: comment
Gerrit-Change-Id: Ic5289f86b78f1d77d91a8fa47d63b7a7eaa3af38
Gerrit-Change-Number: 10044
Gerrit-PatchSet: 1
Gerrit-Owner: Joe McDonnell <joemcdonn...@cloudera.com>
Gerrit-Reviewer: Fredy Wijaya <fwij...@cloudera.com>
Gerrit-Reviewer: Impala Public Jenkins <impala-public-jenk...@cloudera.com>
Gerrit-Reviewer: Joe McDonnell <joemcdonn...@cloudera.com>
Gerrit-Reviewer: Philip Zeyliger <phi...@cloudera.com>
Gerrit-Reviewer: Tim Armstrong <tarmstr...@cloudera.com>
Gerrit-Comment-Date: Fri, 13 Apr 2018 20:23:18 +0000
Gerrit-HasComments: No

Reply via email to